org.eclipse.jetty.util.component

## Interface Dumpable

All Known Implementing Classes:
  AbstractConnector, AbstractHandler, AbstractHandlerContainer, AbstractHttpConnection, AbstractNIOConnector, AggregateLifeCycle, Ajp13SocketConnector, AsyncHttpConnection, BlockingChannelConnector, BlockingHttpConnection, ConnectHandler, ConstraintSecurityHandler, ContextHandler, ContextHandlerCollection, DebugHandler, DefaultHandler, DeploymentManager, ErrorHandler, ErrorPageErrorHandler, FilterHolder, FilterMapping, GzipHandler, HandlerCollection, HandlerList, HandlerWrapper, Holder, HotSwapHandler, HttpClient, HttpDestination, InheritedChannelConnector, IPAccessHandler, LocalConnector, MBeanContainer, MovedContextHandler, NamingContext, NestedConnector, NetworkTrafficSelectChannelConnector, ProxyHandler, QueuedThreadPool, RequestLogHandler, ResourceHandler, RewriteHandler, ScopedHandler, SecurityHandler, SelectChannelConnector, SelectorManager, SelectorManager.SelectSet, Server, ServletContextHandler, ServletHandler, ServletHandler, ServletHolder, SessionHandler, ShutdownHandler, SocketConnector, SslSelectChannelConnector, SslSocketConnector, StatisticsHandler, WebAppContext, WebSocketClientFactory, WebSocketHandler

    public interface Dumpable

### Method Summary

Methods
`String` `dump()`
`void` `dump(Appendable out, String indent)`

### Method Detail

#### dump

    String dump()

#### dump

    void dump(Appendable out,
            String indent)
              throws IOException

Throws:
  `IOException`